GDB (xrefs)

Static Public Member Functions | Public Attributes | List of all members
mem_attrib Struct Reference

`#include "memattr.h"`

## Static Public Member Functions
static mem_attrib | unknown ()

## Public Attributes
enum mem_access_mode | mode = MEM_RW
enum mem_access_width | width = MEM_WIDTH_UNSPECIFIED
int | hwbreak = 0
int | cache = 0
int | verify = 0
int | blocksize = -1

## Detailed Description

Definition at line 53 of file memattr.h.

## Member Function Documentation

## ◆ unknown()

static mem_attrib mem_attrib::unknown | ( |  | ) |
| inline static

Definition at line 55 of file memattr.h.

References MEM_NONE, and mode.

Referenced by lookup_mem_region().

## Member Data Documentation

## ◆ blocksize

int mem_attrib::blocksize = -1

Definition at line 80 of file memattr.h.

Referenced by block_boundaries(), memory_map_end_memory(), and memory_map_end_property().

## ◆ cache

int mem_attrib::cache = 0

Definition at line 73 of file memattr.h.

Referenced by mem_command(), and memory_xfer_partial_1().

## ◆ hwbreak

int mem_attrib::hwbreak = 0

Definition at line 70 of file memattr.h.

Referenced by info_mem_command(), and mem_command().

## ◆ mode

enum mem_access_mode mem_attrib::mode = MEM_RW

Definition at line 65 of file memattr.h.

Referenced by block_boundaries(), dcache_read_line(), insert_bp_location(), mem_command(), mem_region::mem_region(), memory_map_end_memory(), memory_xfer_check_region(), read_memory_robust(), split_regular_and_flash_blocks(), and unknown().

## ◆ verify

int mem_attrib::verify = 0

Definition at line 77 of file memattr.h.

Referenced by info_mem_command(), and mem_command().

## ◆ width

enum mem_access_width mem_attrib::width = MEM_WIDTH_UNSPECIFIED

Definition at line 67 of file memattr.h.

Referenced by mem_command().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/memattr.h